<?php
include_once '../sys/fnc.php';
/* ---- */	
if (!isset($user)) {
    header('location: /');
    exit;
}
/* ---- */	
$title = 'История операций с денежными средствами';
include_once '../sys/head.php';

echo '<div class="menu_link"> Движение средств </div>
<div class="post0">';
###############################
if(isset($_GET['del']))
{
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `history_money` WHERE `user`='".$user->id."'");
echo 'Журнал операций очищен';
}
else
{
echo "<div class='err'><center>Вы уверены что хотите очистить Журнал операций? <a href='?del&amp;ok'>Да</a> / <a href='?'>Нет</a></center></div>\n";
}
}
################################

$col=mysql_num_rows(mysql_query("SELECT * FROM `history_money` WHERE `user`='$user->id'"));

$money_ok = mysql_result(mysql_query("SELECT sum(money) FROM `history_money` WHERE `mp` = '1' AND `user` = '$user->id'"), 0);
$money_no = mysql_result(mysql_query("SELECT sum(money) FROM `history_money` WHERE `mp` = '0' AND `user` = '$user->id'"), 0);

echo '<b>Всего - '.$col.'</b><br />';
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `history_money` WHERE `user` = '".$user->id."'"),0);
$p_page = 10;
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo "<table class='post'>\n";
if ($k_post==0){echo "<div class='err'>Нет операций</div>\n";}
$q=mysql_query("SELECT * FROM `history_money` WHERE `user` = '$user->id' ORDER BY id DESC LIMIT $start, ". $p_page);

while($r=mysql_fetch_array($q)){
echo "<div class='post'>";
if($r['mp']==0)$mp='<font color="red">- '.htmlspecialchars(stripslashes($r['money'])).'</font>';
if($r['mp']==1)$mp='<font color="green">+ '.htmlspecialchars(stripslashes($r['money'])).'</font>';
echo ''.$mp.' <b>WMR.</b> | <font color="green">'.htmlspecialchars(stripslashes($r['usl'])).'</font> <b>('.date('d.y/H:i',$r['time']).')</b><br />';
echo "</div>";
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

echo $div->div_menu.' » Денег пополнили: <span class="count">'. $money_ok .' wmr</span> </div>'; 
echo $div->div_menu.' » Денег потратили: <span class="count">'. $money_no .' wmr</span> </div></p></div></div></div>'; 
echo '</div>';
include_once '../sys/foot.php';
?>